Liblinphone: linphone::XmlRpcRequest Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::XmlRpcRequest Class Reference

The XmlRpcRequest object representing a XML-RPC request to be sent. More...

`#include <xml_rpc_request.hh>`

Inheritance diagram for linphone::XmlRpcRequest:

## Public Member Functions
LINPHONECXX_PUBLIC | XmlRpcRequest (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneXmlRpcRequest * | cPtr ()
LINPHONECXX_PUBLIC void | addListener (const std::shared_ptr< XmlRpcRequestListener > &listener)
| Add an application listener to the XmlRpcRequest instance.
LINPHONECXX_PUBLIC void | removeListener (const std::shared_ptr< XmlRpcRequestListener > &listener)
| Remove a previously added listener from the XmlRpcRequest instance.
LINPHONECXX_PUBLIC std::string | getContent () const
| Get the content of the XML-RPC request.
LINPHONECXX_PUBLIC int | getIntResponse () const
| Get the response to an XML-RPC request sent with XmlRpcSession::sendRequest() and returning an integer response.
LINPHONECXX_PUBLIC std::list< std::string > | getListResponse () const
| Get the response to an XML-RPC request sent with XmlRpcSession::sendRequest() and returning a string response.
LINPHONECXX_PUBLIC std::string | getRawResponse () const
| Get the raw response to an XML-RPC request sent with XmlRpcSession::sendRequest() and returning http body as string.
LINPHONECXX_PUBLIC linphone::XmlRpcStatus | getStatus () const
| Get the status of the XML-RPC request.
LINPHONECXX_PUBLIC std::string | getStringResponse () const
| Get the response to an XML-RPC request sent with XmlRpcSession::sendRequest() and returning a string response.
LINPHONECXX_PUBLIC void | addIntArg (int value)
| Add an integer argument to an XML-RPC request.
LINPHONECXX_PUBLIC void | addStringArg (const std::string &value)
| Add a string argument to an XML-RPC request.

## Detailed Description

The XmlRpcRequest object representing a XML-RPC request to be sent.

## Member Function Documentation

## ◆ addIntArg()

LINPHONECXX_PUBLIC void linphone::XmlRpcRequest::addIntArg | ( | int | value | ) |

Add an integer argument to an XML-RPC request.

Parameters

  value | The integer value of the added argument.

## ◆ addListener()

LINPHONECXX_PUBLIC void linphone::XmlRpcRequest::addListener | ( | const std::shared_ptr< XmlRpcRequestListener > & | listener | ) |

Add an application listener to the XmlRpcRequest instance.

Parameters

  listener | the application listener

## ◆ addStringArg()

LINPHONECXX_PUBLIC void linphone::XmlRpcRequest::addStringArg | ( | const std::string & | value | ) |

Add a string argument to an XML-RPC request.

Parameters

  value | The string value of the added argument.

## ◆ getContent()

LINPHONECXX_PUBLIC std::string linphone::XmlRpcRequest::getContent | ( |  | ) | const

Get the content of the XML-RPC request.

Returns
  The string representation of the content of the XML-RPC request.

## ◆ getIntResponse()

LINPHONECXX_PUBLIC int linphone::XmlRpcRequest::getIntResponse | ( |  | ) | const

Get the response to an XML-RPC request sent with XmlRpcSession::sendRequest() and returning an integer response.

Returns
  The integer response to the XML-RPC request.

## ◆ getListResponse()

LINPHONECXX_PUBLIC std::list< std::string > linphone::XmlRpcRequest::getListResponse | ( |  | ) | const

Get the response to an XML-RPC request sent with XmlRpcSession::sendRequest() and returning a string response.

Returns
  A list of all string responses in the XML-RPC request.

## ◆ getRawResponse()

LINPHONECXX_PUBLIC std::string linphone::XmlRpcRequest::getRawResponse | ( |  | ) | const

Get the raw response to an XML-RPC request sent with XmlRpcSession::sendRequest() and returning http body as string.

Returns
  The string response to the XML-RPC request.

## ◆ getStatus()

LINPHONECXX_PUBLIC linphone::XmlRpcStatus linphone::XmlRpcRequest::getStatus | ( |  | ) | const

Get the status of the XML-RPC request.

Returns
  The XmlRpcStatus of the XML-RPC request.

## ◆ getStringResponse()

LINPHONECXX_PUBLIC std::string linphone::XmlRpcRequest::getStringResponse | ( |  | ) | const

Get the response to an XML-RPC request sent with XmlRpcSession::sendRequest() and returning a string response.

Returns
  The string response to the XML-RPC request.

## ◆ removeListener()

LINPHONECXX_PUBLIC void linphone::XmlRpcRequest::removeListener | ( | const std::shared_ptr< XmlRpcRequestListener > & | listener | ) |

Remove a previously added listener from the XmlRpcRequest instance.

Parameters

  listener | the application listener

The documentation for this class was generated from the following file:

- xml_rpc_request.hh